diff options
author | danglin <danglin@138bc75d-0d04-0410-961f-82ee72b054a4> | 2004-11-23 02:02:38 +0000 |
---|---|---|
committer | danglin <danglin@138bc75d-0d04-0410-961f-82ee72b054a4> | 2004-11-23 02:02:38 +0000 |
commit | fd48ced8b9a7a458c52f8f35fe1cef0c154c4a45 (patch) | |
tree | 61d4ad0cd550c3f974a87cf3001edc98e1bbd22a /libgfortran/configure | |
parent | c1677a030eba247ac8509f1151e21bb977b4409b (diff) | |
download | gcc-fd48ced8b9a7a458c52f8f35fe1cef0c154c4a45.tar.gz |
PR libfortran/15960
* configure.ac: Check for finite in libm.
* libgfortran.h: Define isfinite macro if not defined.
* intrinsics/c99_functions.c: Use defined(fpclassify) instead of
HAVE_FPCLASSIFY.
* io/write.c (write_float): Use isfinite instead of finite.
* configure, config.h.in: Rebuilt.
git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@91064 138bc75d-0d04-0410-961f-82ee72b054a4
Diffstat (limited to 'libgfortran/configure')
-rwxr-xr-x | libgfortran/configure | 79 |
1 files changed, 79 insertions, 0 deletions
diff --git a/libgfortran/configure b/libgfortran/configure index 0e738dfde89..cfd4f175e10 100755 --- a/libgfortran/configure +++ b/libgfortran/configure @@ -10323,6 +10323,85 @@ _ACEOF fi +# Fallback in case isfinite is not available. +echo "$as_me:$LINENO: checking for finite in -lm" >&5 +echo $ECHO_N "checking for finite in -lm... $ECHO_C" >&6 +if test "${ac_cv_lib_m_finite+set}" = set; then + echo $ECHO_N "(cached) $ECHO_C" >&6 +else + ac_check_lib_save_LIBS=$LIBS +LIBS="-lm $LIBS" +if test x$gcc_no_link = xyes; then + { { echo "$as_me:$LINENO: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&5 +echo "$as_me: error: Link tests are not allowed after GCC_NO_EXECUTABLES." >&2;} + { (exit 1); exit 1; }; } +fi +cat >conftest.$ac_ext <<_ACEOF +/* confdefs.h. */ +_ACEOF +cat confdefs.h >>conftest.$ac_ext +cat >>conftest.$ac_ext <<_ACEOF +/* end confdefs.h. */ + +/* Override any gcc2 internal prototype to avoid an error. */ +#ifdef __cplusplus +extern "C" +#endif +/* We use char because int might match the return type of a gcc2 + builtin and then its argument prototype would still apply. */ +char finite (); +int +main () +{ +finite (); + ; + return 0; +} +_ACEOF +rm -f conftest.$ac_objext conftest$ac_exeext +if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 + (eval $ac_link) 2>conftest.er1 + ac_status=$? + grep -v '^ *+' conftest.er1 >conftest.err + rm -f conftest.er1 + cat conftest.err >&5 + echo "$as_me:$LINENO: \$? = $ac_status" >&5 + (exit $ac_status); } && + { ac_try='test -z "$ac_c_werror_flag" + || test ! -s conftest.err' + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 + (eval $ac_try) 2>&5 + ac_status=$? + echo "$as_me:$LINENO: \$? = $ac_status" >&5 + (exit $ac_status); }; } && + { ac_try='test -s conftest$ac_exeext' + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 + (eval $ac_try) 2>&5 + ac_status=$? + echo "$as_me:$LINENO: \$? = $ac_status" >&5 + (exit $ac_status); }; }; then + ac_cv_lib_m_finite=yes +else + echo "$as_me: failed program was:" >&5 +sed 's/^/| /' conftest.$ac_ext >&5 + +ac_cv_lib_m_finite=no +fi +rm -f conftest.err conftest.$ac_objext \ + conftest$ac_exeext conftest.$ac_ext +LIBS=$ac_check_lib_save_LIBS +fi +echo "$as_me:$LINENO: result: $ac_cv_lib_m_finite" >&5 +echo "${ECHO_T}$ac_cv_lib_m_finite" >&6 +if test $ac_cv_lib_m_finite = yes; then + +cat >>confdefs.h <<\_ACEOF +#define HAVE_FINITE 1 +_ACEOF + +fi + + # Let the user override this # Check whether --enable-cmath or --disable-cmath was given. if test "${enable_cmath+set}" = set; then |